Swift Playgrounds passe de l’iPad au Mac grâce à Catalyst – MacGeneration

Spread the love
  • Yum

Swift Playgrounds (gratuit) n’est plus qu’une app conçue pour iPadOS, c’est aussi une app macOS ! Apple a sorti une version Catalyst de son app destinée à apprendre le développement sur le Mac App Store. C’est la même interface dans l’ensemble que la version iPad, avec quelques ajustements mineurs pour le système dédié aux Mac.

Le début du cours pour apprendre Swift, dans Swift Playgrounds sur macOS Catalina.

L’app s’ouvre sur la même collection de « playgrounds », des projets écrits en Swift, le langage de développement d’Apple. Vous pouvez partir d’un projet totalement vide, ou suivre l’un des nombreux tutoriels proposés par la firme de Cupertino et par quelques autres acteurs. Vous retrouverez notamment la série « Apprendre à coder » qui se destine à tout le monde, y compris aux très grands débutants qui n’ont jamais rien codé de leur vie et même aux enfants qui savent lire.

Ce cours est proposé désormais entièrement en français et Swift Playground est aussi totalement traduit sur macOS, comme sur iPadOS. On bénéficie aussi du mode sombre automatique associé à celui du système et tout ce que vous faites est synchronisé entre Mac et iPad via iCloud. Vous pouvez évidemment commencer à travailler sur un appareil et continuer sur un autre, sans problème.

La liste de cours et projets Swift Playgrounds qui peuvent être téléchargés.

Pour l’anecdote, Louis D’hauwe a participé au projet. Si ce nom ne vous dit rien, rappelons que ce jeune développeur s’est fait connaître avant d’être embauché chez Apple pour ses apps qui repoussaient les limites de ce que l’on pouvait faire avec un iPad. Dans le lot, il avait réussi à avoir une version allégée de Xcode sur la tablette. D‘ailleurs, maintenant que Swift Playgrounds est passé de l’iPad au Mac, on peut espérer que le prochain sur la liste est Xcode, qui pourrait passer du Mac à l’iPad ?

En attendant, Swift Playgrounds nécessite macOS Catalina, puisque l’app est basée sur Catalyst. Il faudra même macOS 10.15.3 au minimum.

Leave a Reply

Your email address will not be published. Required fields are marked *